TcpServerSocketFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.tcp.TcpServerSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Class TcpServerSocketFactory

    java.lang.Object
      org.mule.transport.tcp.TcpServerSocketFactory

All Implemented Interfaces:
  SimpleServerSocketFactory

Direct Known Subclasses:
  SslServerSocketFactory

    public class TcpServerSocketFactory

extends Object
implements SimpleServerSocketFactory

Constructor Summary
`TcpServerSocketFactory()`

Method Summary
`protected ServerSocket` | `configure(ServerSocket socket, Boolean reuse, InetSocketAddress address, int backlog)`
`ServerSocket` | `createServerSocket(InetAddress address, int port, int backlog, Boolean reuse)`
`ServerSocket` | `createServerSocket(int port, int backlog, Boolean reuse)`
`ServerSocket` | `createServerSocket(URI uri, int backlog, Boolean reuse)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TcpServerSocketFactory

    public TcpServerSocketFactory()

Method Detail

### createServerSocket

    public ServerSocket createServerSocket(URI uri,
                                           int backlog,
                                           Boolean reuse)
                                    throws IOException

  Specified by:
    `createServerSocket` in interface `SimpleServerSocketFactory`
  Parameters:
    `uri` - The address and port to connect to
    `backlog` - The backlog (or `Connector.INT_VALUE_NOT_SET`)
    `reuse` - Whether to reuse addresses (null for default)
  Returns:
    A new, bound server socket
  Throws:
    `IOException`

### createServerSocket

    public ServerSocket createServerSocket(InetAddress address,
                                           int port,
                                           int backlog,
                                           Boolean reuse)
                                    throws IOException

  Specified by:
    `createServerSocket` in interface `SimpleServerSocketFactory`
  Throws:
    `IOException`

### createServerSocket

    public ServerSocket createServerSocket(int port,
                                           int backlog,
                                           Boolean reuse)
                                    throws IOException

  Specified by:
    `createServerSocket` in interface `SimpleServerSocketFactory`
  Throws:
    `IOException`

### configure

    protected ServerSocket configure(ServerSocket socket,
                                     Boolean reuse,
                                     InetSocketAddress address,
                                     int backlog)
                              throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.